Package org.eclipse.emf.compare.internal.dmp

# Class diff_match_patch.Diff

java.lang.Object
org.eclipse.emf.compare.internal.dmp.diff_match_patch.Diff

Enclosing class:
  `diff_match_patch`

public static class diff_match_patch.Diff extends Object
Class representing one diff operation.

## Field Summary

Fields
Modifier and Type
Field
Description
`diff_match_patch.Operation`
`operation`
One of: INSERT, DELETE or EQUAL.
`String`
`text`
The text associated with this diff operation.

## Constructor Summary

Constructors
Constructor
Description
`Diff(diff_match_patch.Operation operation, String text)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Is this Diff equivalent to another Diff?
`int`
`hashCode()`
Create a numeric hash value for a Diff.
`String`
`toString()`
Display a human-readable version of this Diff.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### operation

public diff_match_patch.Operation operation
One of: INSERT, DELETE or EQUAL.

### text

public String text
The text associated with this diff operation.

## Constructor Details

### Diff

public Diff(diff_match_patch.Operation operation, String text)
Constructor. Initializes the diff with the provided values.

Parameters:
  `operation` - One of INSERT, DELETE or EQUAL.
  `text` - The text being applied.

## Method Details

### toString

public String toString()
Display a human-readable version of this Diff.

Overrides:
  `toString` in class `Object`
Returns:
  text version.

### hashCode

public int hashCode()
Create a numeric hash value for a Diff. This function is not used by DMP.

Overrides:
  `hashCode` in class `Object`
Returns:
  Hash value.

### equals

public boolean equals(Object obj)
Is this Diff equivalent to another Diff?

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - Another Diff to compare against.
Returns:
  true or false.